package cn.com.countrygarden.bi.main.service.bigholderSatisfy;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

import javax.xml.rpc.ServiceException;

import org.apache.ibatis.annotations.Param;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.BigholderSatisfacationInfo;
import cn.com.countrygarden.bi.main.model.bigholderAduit.eunm.AuditStatus;
import cn.com.countrygarden.bi.main.model.twerp.ErpCommunity;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;

public interface BigholderSatisfyService1 {

	public String updateBigholderSatisfy(String correspondProject, String id, String yearMonth, String area)
			throws Exception;

	public List<Map<String, Object>> getViewInfo(String id);

	public void updateExceptionStatus(String id, String tbUserId, String yearMonth, String exceptionInfoAuditStruts,
			String exceptionMessage);

	public void deleteExceptionStatus(@Param(value = "id") String id);

	public List<Map<String, Object>> selectAreaByUserId(String tbUserId, boolean b);

	public List<Map<String, Object>> getAduitTypeNum(String yearMon, String area, String string);

	public List<Map<String, Object>> getDealAduitTypeNum(String yearMon, String area);

	public List<BigholderSatisfacationInfo> getSelectByMonAndArea(String yearMon, String area);

	public List<Map<String, Object>> selectByMonAndArea(String yearMon, String area, String userCode);

	public List<Map<String, Object>> selectByMonAndArea1(String yearMon, String area, String userCode);

	public String getSatisfaction(List<BigholderSatisfacationInfo> bigholderSatisfacationInfos, List<String> yearMon);

	public List<Map<String, Object>> getAreaViewPresidentQs(String area, String userCode, String annualState,
			String howQuarters, String startMonth, String endMonth);

	public List<Map<String, Object>> getViewPresidentQs(String yearMonth, String area, String annualState,
			String howQuarters);

	public List<Map<String, Object>> getProjectViewPresidentQs(String area, String userCode, String correspondProject,
			String annualState, String howQuarters, String startMonth, String endMonth);

	public List<Map<String, Object>> mainEvaluation(String area, String userCode, String annualState,
			String howQuarters, String startMonth, String endMonth);

	public List<Map<String, Object>> mainEvaluationPro( String projectName, String userCode,
			String area, String annualState, String howQuarters, String startMonth,String endMonth);

	public List<Map<String, Object>> getProjectName(String yearMonth, String userCode, String area, TbSysUser tbSysUser);

	public List<Map<String, Object>> getAreas(String yearMonth, String area, String a);

	public List<Map<String, Object>> getAreaAnalysis(String userCode, String area, String annualState,
			String howQuarters, boolean b, String startMonth, String endMonth, String yearMonth) throws ParseException, ServiceException;

	public List<Map<String, Object>> getAreaAnalysis1(String userCode, String area, String annualState,
			String howQuarters, boolean b, String startMonth, String endMonth) throws ParseException;

	public List<BigholderSatisfacationInfo> getSelectByMonAndAreas(String yearMon, List<String> areas);

	public List<Map<String, Object>> getAreaStatisticalScores(String area, String userCode, String annualState,
			String howQuarters, String startMonth, String endMonth);

	public List<Map<String, Object>> getProjectStatisticalScores(String area, String userCode, String projectName,
			String annualState, String howQuarters, String startMonth, String endMonth);

}
